This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 489494 - F12: enable CONFIG_RTC_HCTOSYS
F12: enable CONFIG_RTC_HCTOSYS
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-10 09:40 EDT by Karel Zak
Modified: 2009-09-02 09:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 09:46:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Karel Zak 2009-03-10 09:40:59 EDT
Description of problem:

The latest hwclock(8) (from util-linux-ng 2.15, probably in Fedora-12) has a new option --systz (set TZ only) that is possible to use instead --hctosys when system clock time is already set from the hardware clock by the kernel (when compiled with CONFIG_RTC_HCTOSYS).

For example Ubuntu 9.04 is planning to use this feature to speed up userspace boot process. (The "hwclock --hctosys" is very tricky...) It would be nice to test it in (F-12) rawhide. 

Note that this change requires to update the RTC udev rule.
Comment 1 Harald Hoyer 2009-03-10 10:55:27 EDT
$ rpm -qf /lib/udev/rules.d/88-clock.rules
initscripts-8.86-1.x86_64
Comment 2 Bill Nottingham 2009-03-10 10:59:04 EDT
How would you write the rule to DTRT depending on how the kernel is configured?
Comment 3 Dave Jones 2009-03-26 14:29:09 EDT
once we have a util-linux-ng in the tree that supports it, we can make this change. Until then, changing it sounds like a bad idea.
Comment 4 Karel Zak 2009-03-26 17:36:47 EDT
(In reply to comment #3)
> Until then, changing it sounds like a bad idea.  

 Sure. I agree. I'll ping you :-)
Comment 5 Karel Zak 2009-07-20 12:48:57 EDT
Dave, ping :-) 

The hwclock that supports CONFIG_RTC_HCTOSYS is already in rawhide (F-12).
Comment 6 Glauber Costa 2009-08-31 07:22:29 EDT
I must add in the discussion here that this feature is much wanted for kvm guests. The problem there is that the hypervisor will set guest's wall time, but hwclock will supersede this reading.

The value should be the same, but the trip to the emulated cmos is a very lengthy one, and by the time all hwclock tricks are done, 1 or 2 seconds (some users even report 3) has passed. Much wanted feature for F12 virt.
Comment 7 Dave Jones 2009-09-02 09:46:19 EDT
we changed this in rawhide a while ago.

Note You need to log in before you can comment on or make changes to this bug.